Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/climate/updrgas.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/climate/updrgas.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/climate/updrgas.F90	(revision 4469)
@@ -30,7 +30,7 @@
 
 !     ------------------------------------------------------------------
 
-USE PARKIND1  ,ONLY : JPIM     ,JPRB
+USE PARKIND1  ,ONLY : JPIM, JPIB, JPRB
 USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 
 USE YOMCST   , ONLY : RDAY,  RI0
@@ -47,7 +47,8 @@
 
 INTEGER(KIND=JPIM) :: IDY0, IDY, IMN0, IMN, INDSC &
  &, IYR0, IYR, IYR1, IYR2, IRFY1, IRFY2, ISCEN
-INTEGER(KIND=JPIM) :: ISTADD, ITIME, IZT
+INTEGER(KIND=JPIM) :: ISTADD, ITIME
+INTEGER(KIND=JPIB) :: IZT
 INTEGER(KIND=JPIM) :: ILMONTH(12)
 
 !REAL_B :: ZAIRMWG, ZCO2MWG, ZCH4MWG , ZN2OMWG , ZNO2MWG , ZC11MWG , ZC12MWG
@@ -1029,12 +1030,9 @@
 ! IN CASE OF RESTART:
   ITIME=NINT(TSTEP)
   IF (LTWOTL) THEN
-    IZT=NINT(TSTEP*(REAL(NSTAR2,JPRB)+0.5_JPRB))
+    IZT=NINT(TSTEP*(REAL(NSTAR2,JPRB)+0.5_JPRB),JPIB)
   ELSE
-    IZT=ITIME*NSTAR2
-  ENDIF
-  ISTADD=IZT/NINT(RDAY)
-ELSE
+    IZT=INT(ITIME,JPIB)*INT(NSTAR2,JPIB
   ISTADD=NSTADD
 ENDIF
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/climate/updclie.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/climate/updclie.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/climate/updclie.F90	(revision 4469)
@@ -57,7 +57,7 @@
 !        T. Wilhelmsson 19-Aug-2011 Switch to GRIB_API
 !     ------------------------------------------------------------------
 
-USE PARKIND1 , ONLY : JPIM, JPRB
+USE PARKIND1 , ONLY : JPIM, JPIB, JPRB
 USE YOMHOOK  , ONLY : LHOOK, DR_HOOK
 USE YOERAD   , ONLY : LPERPET
 USE YOEPHY   , ONLY : LECURR, LEOCWA, LEOCCO, LE4ALB, LEOCML, LEOCLAKE, &
@@ -115,9 +115,10 @@
  & IBL, &
  & IRET, IRET1, IST, ISTADDE, &
  & ITAG, ITIM, ITIME, &
- & IYYM0, IYYMD, IZTE, J, JCL, JCL1,  JF, JGL, &
+ & IYYM0, IYYMD, J, JCL, JCL1,  JF, JGL, &
  & JM, JROF, JSTGLO, JTIM, JY, II, ISST1, ISST2, ICSTEP, ISTEP, JL, ISECND, &
  & ICLIMT
+INTEGER(KIND=JPIB) :: IZTE
 
 LOGICAL :: LLFIRST, LLFOUND, LLREAD, LLREAD1, LLDONE
 INTEGER(KIND=JPIM),SAVE :: IDATEREF=0, IUNITC=0, IUNITC1=0
@@ -279,15 +280,15 @@
 
     ITIME=NINT(PTSTEP)
     IF (LTWOTL) THEN
-      IZTE=NINT(PTSTEP*(REAL(NSTOP,JPRB)+0.5_JPRB))
+      IZTE=NINT(PTSTEP*(REAL(NSTOP,JPRB)+0.5_JPRB),JPIB)
     ELSE
-      IZTE=ITIME*NSTOP
+      IZTE=INT(ITIME,JPIB)*INT(NSTOP,JPIB)
     ENDIF
 
 !--
     IF (LPERPET) THEN
       ISECND=IZTE/NINT(RDAY)
-      IZTE=IZTE-ISECND*NINT(RDAY)
+      IZTE=IZTE-ISECND*NINT(RDAY,JPIB)
     ENDIF
 !--
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/control/cnt4.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/control/cnt4.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/control/cnt4.F90	(revision 4469)
@@ -88,7 +88,7 @@
 ! End Modifications
 !      ----------------------------------------------------------------
 
-USE PARKIND1 , ONLY : JPIM, JPRB
+USE PARKIND1 , ONLY : JPIM, JPIB, JPRB
 USE YOMHOOK  , ONLY : LHOOK, DR_HOOK
 USE YOMLUN   , ONLY : NULOUT   ,NULFPOS  ,NULERR
 USE YOMCT0   , ONLY : LNHDYN   ,CFPNCF   ,LFPART2  ,NCONF    ,NSTOP    ,&
@@ -167,7 +167,7 @@
 
 CHARACTER (LEN = 40) ::  CLSETEV
 CHARACTER (LEN = 9) ::  CLCONF
-CHARACTER (LEN = 42) ::  CLDAYF
+CHARACTER (LEN = 51) ::  CLDAYF
 CHARACTER (LEN = 20) ::  CLCOMMAND
 CHARACTER (LEN = 10) ::  CLTIMEOD,CLDAT(3)
 CHARACTER (LEN = 256) ::  CLSMSNAME,CLECFNAME
@@ -178,7 +178,8 @@
 PARAMETER ( CL_CPENV_ECF = "ECF_NAME" )
 INTEGER(KIND=JPIM) :: IACTIM, ICPLEN,ICPLEN_ECF, IHOUR, IINC, ILAG,&
  & IMIN, IOUTTYPE, IPPTR, ISTEP, &
- & ISTOP, ITIME, J, JSTEP, JSITER, JJ, JGFL, iweak, idiglst, ipersub, isub
+ & ISTOP, J, JSTEP, JSITER, JJ, JGFL, iweak, idiglst, ipersub, isub
+INTEGER(KIND=JPIB) :: ITIME
 
 LOGICAL :: LLCFU, LLCOLA,&
  & LLECH, LLECRAD, LLFDBOP, LLKEEP, &
@@ -733,9 +734,9 @@
       ENDDO
     ENDIF
     IF (NSITER > 0) THEN
-      WRITE(UNIT=NULOUT,FMT='('' NORMS AT NSTEP CNT4 (PREDICTOR) '',I4)')JSTEP
+      WRITE(UNIT=NULOUT,FMT='('' NORMS AT NSTEP CNT4 (PREDICTOR) '',I9)')JSTEP
     ELSE
-      WRITE(UNIT=NULOUT,FMT='('' NORMS AT NSTEP CNT4 '',I4)')JSTEP
+      WRITE(UNIT=NULOUT,FMT='('' NORMS AT NSTEP CNT4 '',I9)')JSTEP
     ENDIF
     CALL SPNORM(0)
   ENDIF
@@ -751,7 +752,7 @@
 
   !*     3.8.4  Gridpoint evolution diagnostics
 
-  LLECH= MOD( NINT(JSTEP*TSTEP) , NFRQCHK )  == 0
+  LLECH= MOD( NINT(JSTEP*TSTEP,JPIB) , NFRQCHK )  == 0
   IF (LECHKEVO.AND.LLECH) CALL CHKEVO(JSTEP,TSTEP)
 
   !*     3.8.5  Not-lagged Full-post-processing on physics and fluxes
@@ -1024,7 +1025,7 @@
       ENDIF
 
       IF(LLSPNRM) THEN
-        WRITE(UNIT=NULOUT,FMT='('' NORMS AT NSTEP CNT4 (CORRECTOR) '',I4)')JSTEP
+        WRITE(UNIT=NULOUT,FMT='('' NORMS AT NSTEP CNT4 (CORRECTOR) '',I9)')JSTEP
         WRITE(NULOUT,'(A,I4)') ' Corrector step number ',NCURRENT_ITER
         CALL SPNORM(0)
       ENDIF
@@ -1040,7 +1041,7 @@
     RESTART=CLCONF(1:1)
 
     IF(LLSPNRM) THEN
-      WRITE(UNIT=NULOUT,FMT='('' NORMS AT NSTEP CNT4 (CORRECTOR) '',I4)')JSTEP
+      WRITE(UNIT=NULOUT,FMT='('' NORMS AT NSTEP CNT4 (CORRECTOR) '',I9)')JSTEP
       WRITE(NULOUT,'(A,I4)') ' Last corrector step number ',NCURRENT_ITER
       CALL SPNORM(0)
     ENDIF
@@ -1231,14 +1232,14 @@
   IHOUR  = INT( ZSEC/3600._JPRB )
   IMIN   = INT( (ZSEC-REAL(IHOUR,JPRB)*3600._JPRB)/60._JPRB )
   WRITE (UNIT=CLDAYF,&
-   & FMT='(1X,A,'':'',A,'':'',A,'' STEP'',I5,'' H='',I4,'':'',&
+   & FMT='(1X,A,'':'',A,'':'',A,'' STEP'',I9,'' H='',I9,'':'',&
    & I2.2,'' +CPU='',F7.3)')&
    & CLTIMEOD(1:2),CLTIMEOD(3:4),CLTIMEOD(5:6)&
    & ,NSTEP,IHOUR,IMIN,ZT2-ZT1  
   IF (MYPROC == 1) THEN
     WRITE(NULERR,*) CLDAYF
   ENDIF
-  WRITE (UNIT=NULOUT, FMT='(A42)') CLDAYF
+  WRITE (UNIT=NULOUT, FMT='(A51)') CLDAYF
   
   !*     3.22  Diagnostics on physical tendencies
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/control/reresf.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/control/reresf.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/control/reresf.F90	(revision 4469)
@@ -194,8 +194,8 @@
 
 !        1.2   MODIFY CONTROL VARIABLES FROM CONTENTS OF RCF
 
-  READ(CSTEP,'(I8)') NSTAR2
-  WRITE(NULOUT,'(A,I5.5)') ' READING RESTART FILES - STEP=',NSTAR2
+  READ(CSTEP,'(I9)') NSTAR2
+  WRITE(NULOUT,'(A,I9.9)') ' READING RESTART FILES - STEP=',NSTAR2
   IT=INDEX(CTIME,' ')-1
 
 !    ------------------------------------------------------------------
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/pp_obs/ppreset.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/pp_obs/ppreset.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/pp_obs/ppreset.F90	(revision 4469)
@@ -41,7 +41,7 @@
 !      R. El Khatib 20-Aug-2012 GAUXBUF removed and replaced by HFPBUF
 !     ------------------------------------------------------------------
 
-USE PARKIND1  ,ONLY : JPIM     ,JPRB
+USE PARKIND1  ,ONLY : JPIM ,JPIB ,JPRB
 USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 
 USE YOMFPC   , ONLY : LFPCNT
@@ -49,7 +49,7 @@
 
 IMPLICIT NONE
 
-INTEGER(KIND=JPIM),INTENT(IN)    :: KTIME 
+INTEGER(KIND=JPIB),INTENT(IN)    :: KTIME 
 LOGICAL           ,INTENT(OUT)   :: LDNOPPFIL 
 CHARACTER(LEN=*)  ,INTENT(INOUT) :: CDYFILE 
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/pp_obs/ppreq.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/pp_obs/ppreq.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/pp_obs/ppreq.F90	(revision 4469)
@@ -52,7 +52,7 @@
 !      R. El Khatib : 01-Mar-2012 LFPOS => NFPOS
 !     ------------------------------------------------------------
 
-USE PARKIND1  ,ONLY : JPIM     ,JPRB
+USE PARKIND1  ,ONLY : JPIM ,JPIB ,JPRB
 USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 
 USE YOMCT0   , ONLY : CFDIRLST ,NFPOS
@@ -60,7 +60,7 @@
 
 IMPLICIT NONE
 
-INTEGER(KIND=JPIM),INTENT(IN)    :: KTIME 
+INTEGER(KIND=JPIB),INTENT(IN)    :: KTIME 
 LOGICAL           ,INTENT(OUT)   :: LDNOPPFL 
 CHARACTER(LEN=*)  ,INTENT(OUT)   :: CDYFILE
 INTEGER(KIND=JPIM), PARAMETER    :: JCHAR=120
@@ -202,7 +202,7 @@
 
 WRITE(CLFILE,FMT=&
  & '('' NO POST-PROCESSING FILE FOUND AT TIME ''&
- & ,I4,'' DAYS, '',I4,'' HOURS, '',I4,'' MINUTES ''&
+ & ,I6,'' DAYS, '',I4,'' HOURS, '',I4,'' MINUTES ''&
  & )') IDAYS,IHOURS,IMINS  
 WRITE(NULOUT,'(A)') CLFILE
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_radi/suecso4.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_radi/suecso4.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_radi/suecso4.F90	(revision 4469)
@@ -34,7 +34,7 @@
 !      HHersbach 01-04-2011 Replace code by input from CMIP5-recommended CAM3.5 data set
 !-----------------------------------------------------------------------
 
-  USE PARKIND1  ,ONLY : JPIM     ,JPRB
+  USE PARKIND1  ,ONLY : JPIM ,JPIB ,JPRB
   USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
   USE REGLATLON_FIELD_MIX, ONLY : CREATE_REGLATLON_FIELD, STATS_REGLATLON
   USE YOEAERC   ,ONLY : RAERSO4,CLISTSO4, FILESO4,NFDECSO4DIM,NLDECSO4DIM
@@ -43,7 +43,7 @@
   IMPLICIT NONE
 
   INTEGER(KIND=JPIM),INTENT(IN)    :: KINDAT  ! CCYYMMDD of start of forecast
-  INTEGER(KIND=JPIM),INTENT(IN)    :: KMINUT  ! forecast step in minuts
+  INTEGER(KIND=JPIB),INTENT(IN)    :: KMINUT  ! forecast step in minuts
 
 !     -----------------------------------------------------------------
 
@@ -78,7 +78,7 @@
 !*         1.0    FIND ACTUAL DATE AND TIME (UP TO THE MINUTE)
 !                 --------------------------------------------
 
-  CALL MININCR (NCCAA(KINDAT),NMM(KINDAT),NDD(KINDAT),0  ,0  , KMINUT, &
+  CALL MININCR (NCCAA(KINDAT),NMM(KINDAT),NDD(KINDAT),0  ,0  , INT(KMINUT,JPIM), &
        &        IYR          ,IMM        ,IDD        ,IHH,IMI, IRET   )
 
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_radi/suecozcaqua.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_radi/suecozcaqua.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_radi/suecozcaqua.F90	(revision 4469)
@@ -46,7 +46,7 @@
 !     --------------
 !-----------------------------------------------------------------------
 
-USE PARKIND1  ,ONLY : JPIM     ,JPRB
+USE PARKIND1  ,ONLY : JPIM ,JPIB ,JPRB
 USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 USE YOMCST   , ONLY : RPI
 USE YOERDI   , ONLY : RO3
@@ -56,7 +56,7 @@
 IMPLICIT NONE
 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KINDAT 
-INTEGER(KIND=JPIM),INTENT(IN)    :: KMINUT 
+INTEGER(KIND=JPIB),INTENT(IN)    :: KMINUT 
 !     -----------------------------------------------------------------
 
 !*       0.1   ARGUMENTS.
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_radi/suecozc.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_radi/suecozc.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_radi/suecozc.F90	(revision 4469)
@@ -45,7 +45,7 @@
 !     G.Mozdzynski March 2011 read constants from files
 !-----------------------------------------------------------------------
 
-USE PARKIND1  , ONLY : JPIM, JPRB
+USE PARKIND1  , ONLY : JPIM, JPIB, JPRB
 USE YOMHOOK   , ONLY : LHOOK, DR_HOOK
 USE YOMCST    , ONLY : RPI
 USE YOERDI    , ONLY : RO3
@@ -62,7 +62,7 @@
 INTEGER(KIND=JPIM) :: IULTMP
 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KINDAT 
-INTEGER(KIND=JPIM),INTENT(IN)    :: KMINUT 
+INTEGER(KIND=JPIB),INTENT(IN)    :: KMINUT 
 !     -----------------------------------------------------------------
 
 !*       0.1   ARGUMENTS.
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/fullpos/su4fpos.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/fullpos/su4fpos.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/fullpos/su4fpos.F90	(revision 4469)
@@ -42,7 +42,7 @@
 !      M.Hamrud      01-Oct-2003 CY28 Cleaning
 !     ------------------------------------------------------------------
 
-USE PARKIND1  ,ONLY :  JPIM     ,JPRB
+USE PARKIND1  ,ONLY :  JPIM ,JPIB ,JPRB
 USE YOMHOOK   ,ONLY :  LHOOK    ,DR_HOOK
 USE YOMLUN   , ONLY :  NULOUT
 USE YOMAFN   , ONLY :  TFP_DYNDS
@@ -59,7 +59,7 @@
 
 IMPLICIT NONE
 
-INTEGER(KIND=JPIM),INTENT(IN)    :: KTIME
+INTEGER(KIND=JPIB),INTENT(IN)    :: KTIME
 CHARACTER(LEN=16)  :: CL
 CHARACTER(LEN=120) :: CLYFILE
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/module/yomres.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/module/yomres.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/module/yomres.F90	(revision 4469)
@@ -30,7 +30,7 @@
 
 CHARACTER (LEN = 8)  :: CRFTIME(JPNRF)
 CHARACTER (LEN = 14) :: CTIME
-CHARACTER (LEN = 8)  :: CSTEP
+CHARACTER (LEN = 9)  :: CSTEP
 CHARACTER (LEN = 10) :: COPY
 INTEGER(KIND=JPIM) :: N1RFS
 INTEGER(KIND=JPIM) :: N2RFS
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/suecaec.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/suecaec.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/suecaec.F90	(revision 4469)
@@ -60,7 +60,7 @@
 !      H.Hersbach  08-11-2010 Option for reading GISS volcanic aerosols from file
 !-----------------------------------------------------------------------
 
-USE PARKIND1  ,ONLY : JPIM     ,JPRB
+USE PARKIND1  ,ONLY : JPIM ,JPIB ,JPRB
 USE YOMLUN   , ONLY : NULOUT, FOPEN
 USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 USE YOEAERC   ,ONLY : RAERBC, RAEROR, RAERSD, RAERSS, RAERSU,&
@@ -70,7 +70,7 @@
 IMPLICIT NONE
 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KINDAT 
-INTEGER(KIND=JPIM),INTENT(IN)    :: KMINUT 
+INTEGER(KIND=JPIB),INTENT(IN)    :: KMINUT 
 
 !     -----------------------------------------------------------------
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/suecozv.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/suecozv.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/suecozv.F90	(revision 4469)
@@ -49,7 +49,7 @@
 
 !-----------------------------------------------------------------------
 
-USE PARKIND1  ,ONLY : JPIM     ,JPRB
+USE PARKIND1  ,ONLY : JPIM ,JPIB ,JPRB
 USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 
 USE YOMCST   , ONLY : RPI, RDAY
@@ -61,7 +61,7 @@
 IMPLICIT NONE
 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KINDAT 
-INTEGER(KIND=JPIM),INTENT(IN)    :: KMINUT 
+INTEGER(KIND=JPIB),INTENT(IN)    :: KMINUT 
 !     -----------------------------------------------------------------
 
 !*       0.1   ARGUMENTS.
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/radpar.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/radpar.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/radpar.F90	(revision 4469)
@@ -188,7 +188,7 @@
 !      L. Magnusson 28-09-2010 For NEMO-LIM
 !-----------------------------------------------------------------------
 
-USE PARKIND1  ,ONLY : JPIM     ,JPRB
+USE PARKIND1  ,ONLY : JPIM ,JPIB ,JPRB
 USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 
 USE YOMDPHY  , ONLY : NTILES
@@ -397,8 +397,8 @@
   IY0=NCCAA(NINDAT)
   IM0=NMM(NINDAT)
   ID0=NDD(NINDAT)
-  IDINCR=(NSSSSS+NINT(RSTATI))/NINT(RDAY)
-  ISEC=MOD(NSSSSS+NINT(RSTATI),NINT(RDAY))
+  IDINCR=(NSSSSS+NINT(RSTATI,JPIB))/NINT(RDAY)
+  ISEC=MOD(NSSSSS+NINT(RSTATI,JPIB),NINT(RDAY))
   ZALBICE(KIDIA:KFDIA) = 0.0_JPRB
   IF (LNEMOLIMALB) THEN
     IF (ECE_CPL_NEMO_LIM) THEN
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/su_aervole.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/su_aervole.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/su_aervole.F90	(revision 4469)
@@ -6,7 +6,7 @@
 
 !-------------------------------------------------------------------------------
 
-USE PARKIND1  ,ONLY : JPIM     ,JPRB
+USE PARKIND1  ,ONLY : JPIM ,JPIB ,JPRB
 USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 
 USE YOMCST    ,ONLY : RDAY
@@ -19,7 +19,8 @@
 
 IMPLICIT NONE
 
-INTEGER(KIND=JPIM),INTENT(IN) :: KINDAT, KMINUT
+INTEGER(KIND=JPIM),INTENT(IN) :: KINDAT
+INTEGER(KIND=JPIB),INTENT(IN) :: KMINUT
 
 
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/su_ghgclim.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/su_ghgclim.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/phys_ec/su_ghgclim.F90	(revision 4469)
@@ -44,7 +44,7 @@
 
 !-----------------------------------------------------------------------
 
-USE PARKIND1  ,ONLY : JPIM     ,JPRB
+USE PARKIND1  ,ONLY : JPIM ,JPIB ,JPRB
 USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 
 USE YOERAD    ,ONLY : NGHGRAD, LETRACGMS
@@ -64,7 +64,7 @@
 !*       0.1   ARGUMENTS.
 !              ----------
 INTEGER(KIND=JPIM),INTENT(IN)    :: KINDAT 
-INTEGER(KIND=JPIM),INTENT(IN)    :: KMINUT 
+INTEGER(KIND=JPIB),INTENT(IN)    :: KMINUT 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KSTEP
 INTEGER(KIND=JPIM),INTENT(INOUT) :: KUPGHG
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/ppeddh.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/ppeddh.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/ppeddh.F90	(revision 4469)
@@ -32,7 +32,7 @@
 !      M.Hamrud      01-Oct-2003 CY28 Cleaning
 !-----------------------------------------------------------------------
 
-USE PARKIND1 , ONLY : JPIM, JPRB
+USE PARKIND1 , ONLY : JPIM, JPIB, JPRB
 USE YOMHOOK  , ONLY : LHOOK, DR_HOOK
 USE YOMDIMV  , ONLY : NFLEVG
 USE YOMLUN   , ONLY : NULOUT
@@ -138,10 +138,10 @@
 ZHEURE=ZSSS/3600._JPRB
 ZUSSSS=1.0_JPRB/ZSSS
 IF(ZHEURE > 72._JPRB) THEN
-  ZOUT=.001_JPRB*NINT(ZHEURE/24._JPRB*1000._JPRB)
+  ZOUT=.001_JPRB*NINT(ZHEURE/24._JPRB*1000._JPRB,JPIB)
   CLOUT=' JOURS.'
 ELSE
-  ZOUT=.001_JPRB*NINT(ZHEURE*1000._JPRB)
+  ZOUT=.001_JPRB*NINT(ZHEURE*1000._JPRB,JPIB)
   IF(ZOUT >= 2.0_JPRB) THEN
     CLOUT=' HEURES.'
   ELSE
@@ -1234,7 +1234,7 @@
   ZNORMEQ=SQRT(ABS(ZA11**2 +ZA21**2))
   IF (ZNORMEQ*ZNORM /= 0.0_JPRB) THEN
     ZLAT0=ACOS(ZA31/ZNORM)*180._JPRB/RPI
-    ZGMTSEC=REAL(MOD(NINT(RSTATI)+NSSSSS,86400),JPRB)
+    ZGMTSEC=REAL(MOD(NINT(RSTATI,JPIB)+NSSSSS,86400),JPRB)
     ZLON0=(ACOS(ZA11/ZNORMEQ)-ROMEGA*ZGMTSEC)*180._JPRB/RPI
   ENDIF
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/wroutgpgb.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/wroutgpgb.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/wroutgpgb.F90	(revision 4469)
@@ -49,7 +49,7 @@
 !      R. El Khatib : 01-Mar-2012 LFPOS => LECFPOS
 !     ------------------------------------------------------------------
 
-USE PARKIND1 , ONLY : JPIM, JPRB
+USE PARKIND1 , ONLY : JPIM, JPIB, JPRB
 USE YOMHOOK  , ONLY : LHOOK, DR_HOOK
 USE YOMCT0   , ONLY : LECFPOS, NPROC
 USE YOMFPCT0 , ONLY : NFPCT0
@@ -79,7 +79,7 @@
 
 !LOCAL VARIABLES
 
-INTEGER(KIND=JPIM) :: IINC, IMTS
+INTEGER(KIND=JPIB) :: IINC, IMTS
 CHARACTER :: CLEVT*3
 CHARACTER :: CLR1*5,CLR2*4,CLR1INC*4
 CHARACTER :: CLR3*5,CLR4*5,CLR5*5  !KPP CLR5
@@ -133,7 +133,7 @@
   CLR4 = 'ICMUA'
   CLR5 = 'ICMOC'   !KPP
   IF (LINC) THEN
-    IINC = NINT(REAL(NSTEP,JPRB)*TSTEP/3600._JPRB)
+    IINC = NINT(REAL(NSTEP,JPRB)*TSTEP/3600._JPRB,JPIB)
   ELSE
     IINC = NSTEP
   ENDIF
@@ -155,7 +155,7 @@
         WRITE(CLFNGG,'(A5,A4,''+'',I6.6)') CLR3,CLR2,IINC
     ELSE
       IF(LTWINC) THEN
-        IMTS = NINT(REAL(NSTEP,JPRB)*TSTEP/60._JPRB)
+        IMTS = NINT(REAL(NSTEP,JPRB)*TSTEP/60._JPRB,JPIB)
         IINC = (IMTS/60)*100+MOD(IMTS,60)
         WRITE(CLFNGG,'(A4,A4,I3.3,''+'',I6.6)') CLR1INC,CLR2,NSIM4D,IINC
       ELSE
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/wroutspgb.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/wroutspgb.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/wroutspgb.F90	(revision 4469)
@@ -44,7 +44,7 @@
 !       G. Carver :    22-May-2013 fixed write mode for non-FDB I/O
 !     ------------------------------------------------------------------
 
-USE PARKIND1 , ONLY : JPIM, JPRB
+USE PARKIND1 , ONLY : JPIM, JPIB, JPRB
 USE YOMHOOK  , ONLY : LHOOK, DR_HOOK
 USE YOMCT0   , ONLY : NSTOP, NCONF
 USE YOMCT3   , ONLY : NSTEP
@@ -69,7 +69,7 @@
 INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KRESOL
 !     EXTERNAL INTEGER FUNCTIONS
 
-INTEGER(KIND=JPIM) :: IINC,IMTS
+INTEGER(KIND=JPIB) :: IINC,IMTS
 CHARACTER :: CLFNSH*210,CLFNRF*30,CLFANA*30,CLR1*5,CLR2*4,CLMODE*1
 CHARACTER :: CLFINC*30
 CHARACTER :: CLFGRA*30
@@ -114,7 +114,7 @@
       WRITE(CLFNRF,'(A5,A4,I7.6)') CLR1,CLR2,NSTEP
     ELSE
       IF (LINC) THEN
-        IINC = NINT(REAL(NSTEP,JPRB)*TSTEP/3600._JPRB)
+        IINC = NINT(REAL(NSTEP,JPRB)*TSTEP/3600._JPRB,JPIB)
       ELSE
         IINC = NSTEP
       ENDIF
@@ -129,7 +129,7 @@
       CLFANA(10:10) = '-'
       IINC = ABS(NSTEP)
     ELSEIF (NCONF/100 == 1) THEN
-      IMTS = NINT(REAL(NSTEP,JPRB)*TSTEP/60._JPRB)
+      IMTS = NINT(REAL(NSTEP,JPRB)*TSTEP/60._JPRB,JPIB)
       IINC = (IMTS/60)*100+MOD(IMTS,60)
     ELSE
       IINC = NSTEP
@@ -145,7 +145,7 @@
     IF (NCONF == 501) THEN
       IINC = NSTEP
     ELSE
-      IMTS = NINT(REAL(NSTEP,JPRB)*TSTEP/60._JPRB)
+      IMTS = NINT(REAL(NSTEP,JPRB)*TSTEP/60._JPRB,JPIB)
       IINC = (IMTS/60)*100+MOD(IMTS,60)
     ENDIF
     WRITE(CLFINC(9:11),'(I3.3)') NSIM4D
@@ -164,7 +164,7 @@
       CLFGRA(10:10) = '-'
       IINC = ABS(NSTEP)
     ELSEIF (NCONF/100 == 1) THEN
-      IMTS = NINT(REAL(NSTEP,JPRB)*TSTEP/60._JPRB)
+      IMTS = NINT(REAL(NSTEP,JPRB)*TSTEP/60._JPRB,JPIB)
       IINC = (IMTS/60)*100+MOD(IMTS,60)
     ELSEIF (IABS(NCONF)/100 == 8) THEN
       CLFGRA(10:10) = '-'
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/ppeddhec.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/ppeddhec.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/dia/ppeddhec.F90	(revision 4469)
@@ -33,7 +33,7 @@
 !     M. Ahlgrimm  31-Oct-2011 add rain, snow and PEXTRA to DDH output
 !-----------------------------------------------------------------------
 
-USE PARKIND1 , ONLY : JPIM, JPRB
+USE PARKIND1 , ONLY : JPIM, JPIB, JPRB
 USE YOMHOOK  , ONLY : LHOOK, DR_HOOK
 USE YOMDIMV  , ONLY : NFLEVG
 USE YOMLUN   , ONLY : NULOUT
@@ -166,10 +166,10 @@
 ZHEURE=ZSSS/3600._JPRB
 ZUSSSS=1.0_JPRB/ZSSS
 IF(ZHEURE > 72._JPRB) THEN
-  ZOUT=.001_JPRB*NINT(ZHEURE/24._JPRB*1000._JPRB)
+  ZOUT=.001_JPRB*NINT(ZHEURE/24._JPRB*1000._JPRB,JPIB)
   CLOUT=' DAYS.'
 ELSE
-  ZOUT=.001_JPRB*NINT(ZHEURE*1000._JPRB)
+  ZOUT=.001_JPRB*NINT(ZHEURE*1000._JPRB,JPIB)
   IF(ZOUT >= 2.0_JPRB) THEN
     CLOUT=' HOURS.'
   ELSE
@@ -1878,7 +1878,7 @@
   ZNORMEQ=SQRT(ABS(ZA11**2 +ZA21**2))
   IF (ZNORMEQ*ZNORM /= 0.0_JPRB) THEN
     ZLAT0=ACOS(ZA31/ZNORM)*180._JPRB/RPI
-    ZGMTSEC=REAL(MOD(NINT(RSTATI)+NSSSSS,86400),JPRB)
+    ZGMTSEC=REAL(MOD(NINT(RSTATI,JPIB)+NSSSSS,86400),JPRB)
     ZLON0=(ACOS(ZA11/ZNORMEQ)-ROMEGA*ZGMTSEC)*180._JPRB/RPI
   ENDIF
 
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/utility/updtim.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/utility/updtim.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/utility/updtim.F90	(revision 4469)
@@ -75,7 +75,7 @@
 !        N.Semane+P.Bechtold 04-10-2012 replace 86400/RDAYI by RDAY and 3600 by RHOUR consistently with phys_ec/updtier.F90
 !     ------------------------------------------------------------------
 
-USE PARKIND1 , ONLY : JPIM     ,JPRB
+USE PARKIND1 , ONLY : JPIM, JPIB, JPRB
 USE YOMHOOK  , ONLY : LHOOK    ,DR_HOOK
 USE YOECMIP5 , ONLY : LEO3VAR
 USE YOMDIM   , ONLY : NSMAX
@@ -136,8 +136,9 @@
 
 !     ------------------------------------------------------------------
 
-INTEGER(KIND=JPIM) :: IBASE, IFRHIS, IGP, IGP_MSE, IMINUT, IOZOCL15, IPR, ISTADD,&
- & ISTASS, ISTASS0, ISTP1, ISTPF, ITIME, IZT, JSTEP, IZTN, ISS, IFRLXG
+INTEGER(KIND=JPIM) :: IBASE, IFRHIS, IGP, IGP_MSE, IOZOCL15, IPR, ISTADD,&
+ & ISTASS, ISTASS0, ISTP1, ISTPF, ITIME, JSTEP, ISS, IFRLXG
+INTEGER(KIND=JPIB) :: IMINUT, IZT, IZTN
 INTEGER(KIND=JPIM) :: ISEC, ICNT, ISTEP, IUPGHG
 LOGICAL :: LLCPL
 
@@ -198,15 +199,15 @@
 ITIME=NINT(PTSTEP)
 
 IF (LTWOTL) THEN
-  IZT=NINT(PTSTEP*(REAL(KSTEP,JPRB)+0.5_JPRB))
+  IZT=NINT(PTSTEP*(REAL(KSTEP,JPRB)+0.5_JPRB),JPIB)
 ELSE
-  IZT=ITIME*KSTEP
+  IZT=INT(ITIME,JPIB)*INT(KSTEP,JPIB)
 ENDIF
 
 !--
 IF (LPERPET) THEN
   ISEC=IZT/NINT(RDAY)
-  IZT=IZT-ISEC*NINT(RDAY)
+  IZT=IZT-ISEC*NINT(RDAY,JPIB)
 ENDIF
 !--
 
@@ -220,7 +221,7 @@
   WRITE(UNIT=NULOUT,FMT='(1X,'' TIME OF THE MODEL '',E20.14,&
    & '' TIME SINCE START '',E20.14)') RTIMTR,RSTATI  
 ENDIF
-RHGMT=REAL(MOD(NINT(RSTATI)+NSSSSS,NINT(RDAY)),JPRB)
+RHGMT=REAL(MOD(NINT(RSTATI,JPIB)+NSSSSS,NINT(RDAY)),JPRB)
 
 IF (LASTRF) THEN
   IJ0=NDD(NINDAT)
@@ -274,12 +275,12 @@
 IF(LMSE)THEN
 ! Calculation of RCODEC, RSIDEC, RCOVSR, RSIVSR at next time step for SURFEX
   IF (LTWOTL) THEN
-    IZTN=NINT(PTSTEP*(REAL(KSTEP+1,JPRB)+0.5_JPRB))
+    IZTN=NINT(PTSTEP*(REAL(KSTEP+1,JPRB)+0.5_JPRB),JPIB)
   ELSE
     IZTN=ITIME*(KSTEP+1)
   ENDIF
   ZSTATIN=REAL(IZTN,JPRB)
-  ZHGMTN=REAL(MOD(NINT(ZSTATIN)+NSSSSS,NINT(RDAY)),JPRB)
+  ZHGMTN=REAL(MOD(NINT(ZSTATIN,JPIB)+NSSSSS,NINT(RDAY)),JPRB)
   ZTIMTRN=RTIMST+KSTEP+ZSTATIN
   ZTETAN=RTETA(ZTIMTRN)
   ZEQTIMN=RET(ZTETAN)
@@ -307,12 +308,12 @@
 IF(LMSE.AND..NOT.LMPA)THEN
 ! Calculation of RCODEC, RSIDEC, RCOVSR, RSIVSR at next time step for SURFEX
   IF (LTWOTL) THEN
-    IZTN=NINT(PTSTEP*(REAL(KSTEP+1,JPRB)+0.5_JPRB))
+    IZTN=NINT(PTSTEP*(REAL(KSTEP+1,JPRB)+0.5_JPRB),JPIB)
   ELSE
     IZTN=ITIME*(KSTEP+1)
   ENDIF
   ZSTATIN=REAL(IZTN,JPRB)
-  ZHGMTN=REAL(MOD(NINT(ZSTATIN)+NSSSSS,NINT(RDAY)),JPRB)
+  ZHGMTN=REAL(MOD(NINT(ZSTATIN,JPIB)+NSSSSS,NINT(RDAY)),JPRB)
   ZTIMTRN=RTIMST+KSTEP+ZSTATIN
   IF (LASTRF) THEN
     ISTADD = NSTADD + PTSTEP/NINT(RDAY)
@@ -479,22 +480,22 @@
 
   ITIME=NINT( TSTEP)
   IF (LTWOTL) THEN
-    IZT=NINT( TSTEP*(REAL(KSTEP,JPRB)+0.5_JPRB))
+    IZT=NINT( TSTEP*(REAL(KSTEP,JPRB)+0.5_JPRB),JPIB)
   ELSE
-    IZT=ITIME*KSTEP
+    IZT=INT(ITIME,JPIB)*INT(KSTEP,JPIB)
   ENDIF
 
   !--
   IF (LPERPET) THEN
     ISEC=IZT/NINT(RDAY)
-    IZT=IZT-ISEC*NINT(RDAY)
+    IZT=IZT-ISEC*NINT(RDAY,JPIB)
   ENDIF
   !--
   ZSTATI=REAL(IZT,JPRB)+0.5_JPRB*NRADFR*ITIME
   ISTADD=IZT/NINT(RDAY)
   ISTASS=MOD(IZT,NINT(RDAY))
   ZTIMTR=RTIMST+ZSTATI
-  ZHGMT=REAL(MOD(NINT(ZSTATI)+NSSSSS,NINT(RDAY)),JPRB)
+  ZHGMT=REAL(MOD(NINT(ZSTATI,JPIB)+NSSSSS,NINT(RDAY)),JPRB)
 
 ! Updates concentrations for uniformly mixed gases and solar constant if required
 ! Recalculate solar insolation
@@ -557,7 +558,7 @@
 ! Fortuin-Langematz O3 CLIMATOLOGY:
   IF (NOZOCL == 1.AND. .NOT. LRAYFM15 .AND. .NOT.LPHYLIN) THEN
     IF(MOD(KSTEP,NRADFR) == 0) THEN
-      IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB)
+      IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB,JPIB)
       IF( LAQUA ) THEN
         CALL SUECOZCAQUA ( NINDAT, IMINUT )
       ELSEIF (LEO3VAR) THEN
@@ -572,7 +573,7 @@
   ICNT=100
   IF (NGHGRAD /= 0 .AND. .NOT.LRAYFM15 .AND. .NOT.LPHYLIN) THEN
     IF(MOD(KSTEP,NRADFR) == 0) THEN
-      IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB)
+      IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB,JPIB)
       CALL SU_GHGCLIM ( NINDAT, IMINUT, KSTEP, IUPGHG )
       ISTEP=INT(KSTEP/ICNT)*ICNT
       IF(ISTEP == KSTEP) THEN
@@ -594,7 +595,7 @@
     ENDIF
     IF (.NOT.LPHYLIN) THEN
       IF(MOD(KSTEP,NRADFR) == 0) THEN
-        IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB)
+        IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB,JPIB)
         CALL SUECAEC ( NINDAT, IMINUT )
         IF (LESO4HIS) THEN
           CALL SUECSO4 ( NINDAT, IMINUT )
@@ -607,7 +608,7 @@
    IF (LRMU0M) THEN
      ZSTATI=REAL(IZT,JPRB)+NRADFR*ITIME
      ZTIMTR=RTIMST+ZSTATI
-     ZHGMT=REAL(MOD(NINT(ZSTATI)+NSSSSS,NINT(RDAY)),JPRB)
+     ZHGMT=REAL(MOD(NINT(ZSTATI,JPIB)+NSSSSS,NINT(RDAY)),JPRB)
  
      ZTETA=RTETA(ZTIMTR)
      IF( LAQUA ) THEN
@@ -642,16 +643,16 @@
 
   ITIME=NINT( TSTEP)
   IF (LTWOTL) THEN
-    IZT=NINT( TSTEP*(REAL(KSTEP,JPRB)+0.5_JPRB))
+    IZT=NINT( TSTEP*(REAL(KSTEP,JPRB)+0.5_JPRB),JPIB)
   ELSE
-    IZT=ITIME*KSTEP
+    IZT=INT(ITIME,JPIB)*INT(KSTEP,JPIB)
   ENDIF
 
   ZSTATI=REAL(IZT,JPRB)+0.5_JPRB*NRADFR15*ITIME
   ISTADD=IZT/NINT(RDAY)
   ISTASS=MOD(IZT,NINT(RDAY))
   ZTIMTR=RTIMST+ZSTATI
-  ZHGMT=REAL(MOD(NINT(ZSTATI)+NSSSSS,NINT(RDAY)),JPRB)
+  ZHGMT=REAL(MOD(NINT(ZSTATI,JPIB)+NSSSSS,NINT(RDAY)),JPRB)
 
   IF (LASTRF) THEN
     CALL UPDCAL (IJ0,IM0,IA0,ISTADD,IJOUR,IMOIS,IAN,ILMOIS,NULOUT)
@@ -688,7 +689,7 @@
 ! NEW O3 CLIMATOLOGY:
   IF (NOZOCL == 1) THEN
     IF(MOD(KSTEP,NRADFR15) == 0) THEN
-      IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB)
+      IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB,JPIB)
       IF( LAQUA ) THEN
         CALL SUECOZCAQUA ( NINDAT, IMINUT )
       ELSEIF (LEO3VAR) THEN
@@ -709,7 +710,7 @@
 IF (NAERO /=0 .AND. NVOLERUP == 2) THEN
 !--NB: test for only the April 2010 Icelandic erupting volcano 
   IF (NINDAT >= 20100414 .AND. NINDAT <= 20100524) THEN
-    IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB)
+    IMINUT=NINT((ZSTATI + REAL(NSSSSS,JPRB))/60._JPRB,JPIB)
 
     CALL SU_AERVOLE ( NINDAT, IMINUT )
   ENDIF
Index: ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/utility/wrresf.F90
===================================================================
--- ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/utility/wrresf.F90	(revision 4468)
+++ ecearth3/branches/development/2015/r2060-openifs-integration/sources/oifs-40r1/src/ifs/utility/wrresf.F90	(revision 4469)
@@ -152,14 +152,14 @@
   IDAY =IFCTIM/24/60
   IHOUR=IFCTIM/60-IDAY*24
   IMIN =IFCTIM-IDAY*24*60-IHOUR*60
-  WRITE(CTIME,'(I4.4,I2.2,I2.2)') IDAY,IHOUR,IMIN
+  WRITE(CTIME,'(I6.6,I2.2,I2.2)') IDAY,IHOUR,IMIN
 ELSE
   IF (LINC) THEN
     IINC=NINT(REAL(NSTEP,JPRB)*TSTEP/3600._JPRB)
   ELSE
     IINC=NSTEP
   ENDIF
-  WRITE(CTIME,'(''+'',I4.4,''   '')') IINC
+  WRITE(CTIME,'(''+'',I9.9,''   '')') IINC
 ENDIF
 IT=INDEX(CTIME,' ')-1
 
@@ -428,7 +428,7 @@
 
 !        4.1   MODIFY CONTENTS OF NAMELIST
 
-  WRITE(CSTEP,'(I8)') NSTEP
+  WRITE(CSTEP,'(I9)') NSTEP
   IPRGPNSRES=NPRGPNS
   IPRGPEWRES=NPRGPEW
   IPRTRWRES =NPRTRW 
